> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all active policies for a specific customer

> This endpoint returns a list of all active policies associated with the customer. Filters are available to query by active, inactive, or expired policies.



## OpenAPI

````yaml get /api/v1/customers/{id}/policies/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/customers/{id}/policies/:
    get:
      tags:
        - Customers
      summary: Retrieve all active policies for a specific customer
      description: >-
        This endpoint returns a list of all active policies associated with the
        customer. Filters are available to query by active, inactive, or expired
        policies.
      operationId: v1_customers_policies_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCustomerPolicyList'
              examples:
                ViewCustomerPolicies:
                  value:
                    count: 123
                    next: http://api.example.org/accounts/?offset=400&limit=100
                    previous: http://api.example.org/accounts/?offset=200&limit=100
                    results:
                      - data:
                          - policy_id: 24708b5a-10de-4364-8ea4-0249d9118a84
                            policy_type: Travel
                            status: active
                            start_date: '2025-01-23'
                            end_date: '2026-01-23'
                            premium_amount: '4724.93'
                          - policy_id: 136defb6-76b3-4974-845e-26c382fd266b
                            policy_type: Auto
                            status: active
                            start_date: '2025-01-23'
                            end_date: '2026-01-23'
                            premium_amount: '1000.00'
                          - policy_id: ddd644cc-e418-43e6-9b53-7a717a23b24c
                            policy_type: Gadget
                            status: active
                            start_date: '2025-01-23'
                            end_date: '2026-01-23'
                            premium_amount: '100000.00'
                          - policy_id: d4db8ec7-67fc-44d2-8b32-a67649b9373d
                            policy_type: Gadget
                            status: active
                            start_date: '2025-01-23'
                            end_date: '2026-01-23'
                            premium_amount: '100000.00'
                          - policy_id: e137b581-01f9-45f6-be62-e576ab466f41
                            policy_type: Travel
                            status: active
                            start_date: '2025-01-23'
                            end_date: '2026-01-23'
                            premium_amount: '4724.93'
                  summary: View customer policies
          description: View customer's active policies
      security:
        - ClientKeyAuth: []
components:
  schemas:
    PaginatedCustomerPolicyList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/CustomerPolicy'
    CustomerPolicy:
      type: object
      properties:
        policy_id:
          type: string
          format: uuid
          description: Unique identifier for the policy
        policy_type:
          type: string
        status:
          allOf:
            - $ref: '#/components/schemas/StatusD7cEnum'
          description: |-
            Current status of the policy

            * `accepted` - Accepted
            * `cancelled` - Cancelled
            * `active` - Active
        start_date:
          type: string
          format: date
        end_date:
          type: string
          format: date
        premium_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
      required:
        - end_date
        - policy_type
        - premium_amount
        - start_date
    StatusD7cEnum:
      enum:
        - accepted
        - cancelled
        - active
      type: string
      description: |-
        * `accepted` - Accepted
        * `cancelled` - Cancelled
        * `active` - Active
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````